Bug 447345 - RFE: livecd-iso-to-disk should have support for virtual disk images
RFE: livecd-iso-to-disk should have support for virtual disk images
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-19 12:11 EDT by Carl Roth
Modified: 2009-07-15 04:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 04:16:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl Roth 2008-05-19 12:11:49 EDT
Description of problem:

The livecd-iso-to-disk tool requires a physical block device to work.  This
makes it difficult to use with a VM.  It would be nice if the livecd tools could
generate on-disk bootable images to use with qemu/VMWare/etc.

Version-Release number of selected component (if applicable):

livecd-tools-017-1.fc9.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeremy Katz 2008-05-19 12:29:32 EDT
If you want to do a file, just use losetup on it to make a block device to use.
 Giving people more ways to break things by letting you specify a regular file
is a path to things breaking.
Comment 2 Carl Roth 2008-05-20 12:29:31 EDT
Can you suggest another solution?  losetup doesn't create a valid block device
(at least, not one that the livecd tools can recognize:

# dd if=/dev/zero of=anaconda-loop.img bs=1048576 count=128
128+0 records in
128+0 records out
134217728 bytes (134 MB) copied, 0.822324 s, 163 MB/s
# dev=`losetup -f`
# echo $dev
/dev/loop1
# mkfs.ext3 $dev
mke2fs 1.40.8 (13-Mar-2008)
...
# livecd-iso-to-disk boot.iso $dev
Verifying image...
boot.iso: Could not get pvd data
Unable to read the disc checksum from the primary volume descriptor.
This probably means the disc was created without adding the checksum.Are you
SURE you want to continue?
Press Enter to continue or ctrl-c to abort

Error finding block device of /dev/loop1.  Aborting!
Cleaning up to exit...

This is the reason I filed this RFE -- the livecd tools are littered with udev
and /sys references that don't work on anything but physical devices.
Comment 3 Jeremy Katz 2008-05-27 15:46:32 EDT
Should be fixed in git.  
Comment 4 Bug Zapper 2009-06-09 21:00:45 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-15 04:16:39 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.